ANNUAL {bimets} | R Documentation

## Annual Time Series (Dis)Aggregation

### Description

This function returns an annual aggregated time series, by using as input a semiannual, quarterly, monthly or daily time series.

### Usage

    ANNUAL(x = NULL, fun = NULL, avoidCompliance = FALSE, ...)

### Arguments

`x` | Input time series, that must satisfy the compliance control check defined in `is.bimets`.
`fun` | STOCK: the output value of a year is equal to the value of the input time series in the last period of the same year NSTOCK: the output value of a year is equal to the value of the input time series in the last non-missing `NA` period of the same year SUM: the output value of a year is equal to the sum of all the observations of the input time series in the same year NSUM: the output value of a year is equal to the sum of all the non-missing `NA` observations of the input time series in the same year AVE: the output value of a year is equal to the average of all the observations of the input time series in the same year NAVE: the output value of a year is equal to the average of all the non-missing `NA` observations of the input time series in the same year
`avoidCompliance` | If `TRUE`, compliance control check of input time series will be skipped. See `is.bimets`
`...` | Backward compatibility.

### Value

This function returns an annual BIMETS time series.

### See Also

`SEMIANNUAL`
`QUARTERLY`
`MONTHLY`
`DAILY`

### Examples

    	#TS DAILY TO ANNUAL
    	n=366
    	ts1=TIMESERIES(0:n,START=c(2000,1),FREQ='D');
    	ts1[10]=NA;
    	TABIT(ANNUAL(ts1,fun='NAVE'));

[Package bimets version 1.4.0 Index]